Skip to main content
GET
/
asserts
/
{org}
/
fingerprint
/
{fingerprint}
Assert artifact
curl --request GET \
  --url https://app.kosli.com/api/v2/asserts/{org}/fingerprint/{fingerprint} \
  --header 'Authorization: Bearer <token>'
{
  "fingerprint": "<string>",
  "flow": "<string>",
  "trail": "<string>",
  "compliant": true,
  "compliance_status": {
    "unexpected": true,
    "artifact_fingerprint": "<string>",
    "status": "",
    "is_compliant": true,
    "attestations_statuses": [
      {
        "attestation_name": "<string>",
        "unexpected": true,
        "attestation_type": "<string>",
        "status": "<string>",
        "is_compliant": true
      }
    ],
    "evaluated_at": 123
  },
  "html_url": "<string>",
  "scope": "flow",
  "flows": {
    "flow": "<string>",
    "trail": "<string>",
    "compliant": true,
    "compliance_status": {
      "unexpected": true,
      "artifact_fingerprint": "<string>",
      "status": "",
      "is_compliant": true,
      "attestations_statuses": [
        {
          "attestation_name": "<string>",
          "unexpected": true,
          "attestation_type": "<string>",
          "status": "<string>",
          "is_compliant": true
        }
      ],
      "evaluated_at": 123
    },
    "html_url": "<string>"
  },
  "environment": "<string>",
  "policy_evaluations": [
    {
      "policy_version": 123,
      "status": "COMPLIANT",
      "policy_name": "<string>",
      "rule_evaluations": []
    }
  ],
  "allow_listing": {
    "allowlist_id": "<string>",
    "allowed_by_user_id": "<string>",
    "timestamp": 123,
    "description": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

fingerprint
string
required
org
string
required

Query Parameters

flow_name
string | null

Filter by flow name

environment_name
string | null

The name of the environment. Ignored if environment does not use policies.

policy_name
string[] | null

List of policy names to assert against. ?policy_name=a&policy_name=b

Response

Successful Response

Response model for assertion results.

Represents compliance status of an artifact within a flow or environment scope.

fingerprint
string
required

Artifact fingerprint.

Pattern: ^[a-f0-9]{64}$
flow
string
required

The flow name of the artifact.

Pattern: ^[a-zA-Z0-9][a-zA-Z0-9\.\-_~]*$
trail
string
required

The trail name of the artifact.

Pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_.~]*$
compliant
boolean
required

Whether the artifact complies with the defined policies for an environment, Or the artifact is compliant in the trail

compliance_status
ArtifactComplianceResultResponse · object
required

The compliance status of the artifact.

html_url
string
required

URL to view the artifact details in the web UI

scope
enum<string>
required

The scope of the assertion (flow-level, environment-level or policy-level)

Available options:
flow,
environment,
policy
flows
AssertArtifactFlowResponse · object

The flows associated with the artifact.

environment
string | null

The name of the environment (only present when scope is 'environment')

policy_evaluations
PolicyEvaluationResponse · object[] | null

List of policy evaluation results (only present when scope is 'environment')

allow_listing
AllowlistInformation · object

Allowlisting information if the artifact is allowlisted (only present when scope is 'environment')

Last modified on April 9, 2026